package ru.amster.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-02-08T14:05:36.715+03:00
 * Generated source version: 3.2.7
 */
@WebService(targetNamespace = "http://endpoint.tm.amster.ru/", name = "ProjectEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ProjectEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/removeProjectByIdRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/removeProjectByIdResponse")
    @RequestWrapper(localName = "removeProjectById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveProjectById")
    @ResponseWrapper(localName = "removeProjectByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveProjectByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project removeProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/createWithThreeParamProjectRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/createWithThreeParamProjectResponse")
    @RequestWrapper(localName = "createWithThreeParamProject", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamProject")
    @ResponseWrapper(localName = "createWithThreeParamProjectResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamProjectResponse")
    public void createWithThreeParamProject(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/removeProjectByIndexRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/removeProjectByIndexResponse")
    @RequestWrapper(localName = "removeProjectByIndex", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveProjectByIndex")
    @ResponseWrapper(localName = "removeProjectByIndexResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveProjectByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project removeProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    java.lang.Integer index
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/updateProjectByIndexRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/updateProjectByIndexResponse")
    @RequestWrapper(localName = "updateProjectByIndex", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateProjectByIndex")
    @ResponseWrapper(localName = "updateProjectByIndexResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateProjectByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project updateProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    java.lang.Integer index,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/updateProjectByIdRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/updateProjectByIdResponse")
    @RequestWrapper(localName = "updateProjectById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateProjectById")
    @ResponseWrapper(localName = "updateProjectByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateProjectByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project updateProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/findProjectByIdRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/findProjectByIdResponse")
    @RequestWrapper(localName = "findProjectById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindProjectById")
    @ResponseWrapper(localName = "findProjectByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindProjectByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project findProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/findProjectByNameRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/findProjectByNameResponse")
    @RequestWrapper(localName = "findProjectByName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindProjectByName")
    @ResponseWrapper(localName = "findProjectByNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindProjectByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project findProjectByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/findAllProjectRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/findAllProjectResponse")
    @RequestWrapper(localName = "findAllProject", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllProject")
    @ResponseWrapper(localName = "findAllProjectResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.amster.tm.endpoint.Project> findAllProject(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/createWithTwoParamProjectRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/createWithTwoParamProjectResponse")
    @RequestWrapper(localName = "createWithTwoParamProject", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithTwoParamProject")
    @ResponseWrapper(localName = "createWithTwoParamProjectResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithTwoParamProjectResponse")
    public void createWithTwoParamProject(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/findProjectByIndexRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/findProjectByIndexResponse")
    @RequestWrapper(localName = "findProjectByIndex", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindProjectByIndex")
    @ResponseWrapper(localName = "findProjectByIndexResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindProjectByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project findProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    java.lang.Integer index
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/numberOfAllProjectsRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/numberOfAllProjectsResponse")
    @RequestWrapper(localName = "numberOfAllProjects", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.NumberOfAllProjects")
    @ResponseWrapper(localName = "numberOfAllProjectsResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.NumberOfAllProjectsResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.Integer numberOfAllProjects(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/ProjectEndpoint/removeProjectByNameRequest", output = "http://endpoint.tm.amster.ru/ProjectEndpoint/removeProjectByNameResponse")
    @RequestWrapper(localName = "removeProjectByName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveProjectByName")
    @ResponseWrapper(localName = "removeProjectByNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveProjectByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Project removeProjectByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );
}
